#include <ESP8266WiFi.h>
#include <WiFiClient.h>
#include <ESP8266WebServer.h>
const char *ssid = "My-WiFi";
const char *password = "my-password";
ESP8266WebServer server(80);
/* Подключаемся к нашей точки доступа и переходим по адресу
 *  http://192.168.4.1 в веб браузере.
 */
void handleRoot() {
  server.send(200, "text/html", "<center><h1>WELLCOME <br> My-WiFi <br> ESP8266 Server !</h1>");
}

void setup() {
  delay(1000);
  Serial.begin(115200);
  Serial.println();
  Serial.print("Configuring access point...");
  WiFi.softAP(ssid, password);

  IPAddress myIP = WiFi.softAPIP();
  Serial.print("AP IP address: ");
  Serial.println(myIP);
  server.on("/", handleRoot);
  server.begin();
  Serial.println("HTTP server started");
}

void loop() {
  server.handleClient();
}
